<template>
    <div class="nav">
        <router-link
            v-for="(item, idx) in navItems"
            v-if="!item.notInTabs"
            :key="item.id"
            :to="`/football/match/${eventId}/${item.url}`"
            :exact-active-class=" { active: (routeTab && item.url === routeTab) || (!routeTab && idx === 0) }"
            :class="[
                'nav-item',
                { active: (routeTab && item.url === routeTab) || (!routeTab && idx === 0) }
            ]"
            @click="close"
        >{{ item.name }}</router-link>
        <div class="nav-item nav-item-more">More <span class="coming__soon">Coming soon</span></div>
    </div>
</template>

<script>
export default {
    name: 'MatchNav',
    props: {
        navItems: {
            type: Array,
            required: true
        },
        routeTab: {
            type: String
        },
        eventId: {
            required: true
        },
        active: {
            required: true
        },
    }

}
</script>
